#include <stdio.h>
#include <string.h>

int main()
{
    char n[10000];
    char ch,c;
    int xd=0,brc,cifre=0,brp=0,brn=0,min=100000,br[100000];
    while(ch!='\n')
    {
        ch=getchar();
        n[xd]=ch;
        xd++;
    }
    brc=xd;
    for(int i=0;i<brc-1;i++)
    {
        c=n[i];
        for(int j=i+1;j<brc;j++)
        {
            if(n[i]==n[j] && brn!=0 && c==n[j] && brn<min)
            {
                min=brn;
                brn=0;
            }
            else if(n[i]!=n[j] && c!=n[j])
            {
                brn++;
            }
        }
    }
    printf("%d",min);
    return 0;
}